Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 764023 - sci-libs/cholmod: dropped ~alpha ~mips
Summary: sci-libs/cholmod: dropped ~alpha ~mips
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2021-01-06 05:58 UTC by Sam James
Modified: 2021-07-24 19:58 UTC (History)
1 user (show)

See Also:
Package list:
sci-libs/cholmod ~alpha >=sci-libs/metis-5.1.0 ~alpha ~mips
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-01-06 05:58:26 UTC
I have a feeling we deliberately didn't restore these but maybe not.
Comment 1 NATTkA bot gentoo-dev 2021-01-06 06:00:59 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-04-01 19:09:12 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-04-01 20:11:44 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-04-01 22:02:03 UTC
All sanity-check issues have been resolved
Comment 5 Joshua Kinard gentoo-dev 2021-05-24 04:58:25 UTC
sci-libs/metis requires a fortran compiler, which requires rebuilding gcc.  I'll have to kick this can down the road for now, as gcc without fortran takes ~16hrs on my build machine.  Adding fortran will probably add a few extra hours onto that, and I have other priorities to knock out first.
Comment 6 Matt Turner gentoo-dev 2021-07-24 19:58:19 UTC
Only dep with ~alpha keywords is sci-libs/umfpack and we've got its IUSE=cholmod package.use.mask'd. I'm happy with that.

metis is depended on only by sci-libs/pastix-6, which is currently package.mask'd, but otherwise has no reverse dependencies on alpha. I'll drop its keywords entirely.